body {
    height: 100vh;
    background: #111;
    display: flex;
    justify-content: center;
    align-items: center;
}

.effect {
    width: 80px;
    height: 80px;
    background-color: #5500FF;
    color: #FFF;
    border-radius: 50%;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 5px solid #4400CC;
}

.effect svg {
    width: 60%;
}

.effect:after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: transparent;
    border-radius: 50%;
    border: 2px dashed #4400BB;
    opacity: 0;
    z-index: -1;
    box-sizing: border-box;

    transform: scale(1);
    transition:  all 1s;
}

.effect:hover:after{
    opacity: 1;
    transform: scale(1.3);
    animation: rotating 8s linear infinite 1s;
}

@keyframes rotating {
    0%{
        transform: scale(1.3) rotate(0deg);
    }
    100%{
        transform: scale(1.3) rotate(360deg);
    }
    
}